Forum Linux.débutant deux versions de GTK installées-comment supprimer l'ancienne?

Posté par .
Tags : aucun
0
7
juin
2005
bonjour,

un problème de versions de logiciels
j'ai deux versions de gtk installées sur mon ordinateur. la première, GTK 2.4 a été installée à partir d'un binaire RPM, la deuxième, plus récente (GTK 2.6) a été installée après a partir des sources.
lorsque je souhaite installer gimp, lors du configure, ce dernier me dit que je dois installer la version GTK 2.4.4 au moins. apparemment, il pointe sur l'ancienne version, celle basée sur le RPM...
pourriez vous me dire comment (...)

Forum Programmation.php pb mysql: quel type numérique pour 10.1 2.3 21.5 63.2 ?

Posté par .
Tags : aucun
0
26
mai
2005
bonjour,

je ne sais pas si c le bon forum pour fette question. mon problème est que je ne sais pas kel type numérique choisir pour une valeur...

je suis sous mysql et je travaille avec l'interface phpmyadmin.
jai la colonne d'une table qui doit stocker des valeurs numériques sous la forme W X Y Z. W X Y et Z sont des réels positifs...jr dois spécifier le type numérique mais je ne vois lekel choisir...
je ne vois pas (...)

Forum Linux.général logiciels équivalents à paint

Posté par .
Tags : aucun
0
24
mai
2005
bonjour,

jaimerais savoir sil existe des logiciels équivalents à paint sous linux. je ne souhaite pas forcément kils aient des fonctions avancées.
si vous en connaissez, pourriez vous me donner leurs noms et si possible l'adresse ou je peux les télécharger?

merci!

mathieu

Forum Linux.général installer wxGTK

Posté par .
Tags : aucun
0
20
mai
2005
bonjour,

je souhaite installer wxGTK
auparavant, javais installé atk, pango et gtk
au moment faire le make de wxGTK, jobtiens le message suivant:

src/generic/dbgrptg.cpp: In member function `void wxDebugReportDialog::OnOpen(wxCommandEvent&)':
src/generic/dbgrptg.cpp:448: error: `wxFileType' undeclared (first use this function)
src/generic/dbgrptg.cpp:448: error: (Each undeclared identifier is reported only once for each function it appears in.)
src/generic/dbgrptg.cpp:448: error: syntax error before `::' token
make: *** [qalib_dbgrptg.o] Erreur 1

comment résoudre ce problème?

merci de maider!

Forum Linux.débutant installation de pango1.6.0

Posté par .
Tags : aucun
0
20
mai
2005
bonjour,

je tente d'installer pango1.6.. l'installtion de pango 1.6 nécessitait linstallation de glib.
jai installé GLib-2.6.
installation de pango:
-le ./configure fonctionne
-par contre le make ne fonctionne pas, j'obitens le message suivant:
...
/home/mathieu/postgreSQL-postGIS/pgadmin/pango-1.6.0/pango/.libs/libpangoft2-1.0.so: undefined reference to `g_type_instance_get_private'
/home/mathieu/postgreSQL-postGIS/pgadmin/pango-1.6.0/pango/.libs/libpangoft2-1.0.so: undefined reference to `g_type_class_add_private'
./.libs/libpangoxft-1.0.so: undefined reference to `g_assert_warning'
/home/mathieu/postgreSQL-postGIS/pgadmin/pango-1.6.0/pango/.libs/libpango-1.0.so: undefined reference to `g_unichar_get_mirror_char'
./.libs/libpangox-1.0.so: undefined reference to `g_return_if_fail_warning'
collect2: ld returned 1 exit status
make[4]: *** [pango-querymodules] Erreur 1
make[4]: Leaving directory
...

comment résoudre ce problème?

merci!

Forum Linux.débutant installation de pango

Posté par .
Tags : aucun
0
19
mai
2005
bonjour,

jai installé glib-2.6 a partir des sources.

jai ensuite essayé d'installer:
atk
gtk
pango
mais à chaque ./ configure de ces logiciels, voici le message qui s'affiche:
...
checking XFT_CFLAGS... -I/usr/X11R6/include -I/usr/include/freetype2
checking XFT_LIBS... -L/usr/X11R6/lib -lXft -lX11 -lfreetype -lXrender -lfontconfig
checking for pkg-config... (cached) /usr/bin/pkg-config
checking for GLIB - version >= 2.4.0... no
*** Could not run GLIB test program, checking why...
*** The test program failed to compile or link. See the file config.log for the
*** exact (...)